LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 02-10-2004, 08:53 PM   #1
Balkman
Member
 
Registered: Jan 2004
Location: USA, Pa
Distribution: Slackware 10
Posts: 65

Rep: Reputation: 15
Exclamation Missing libraries help / info


Half the programs I install are always missing a shared library. I just need some advice on how to install / get the right one.

Should I make sure it's for a 686? (i have a 1.47 athlon 1700)

Should I make sure it works with Mandrake 9.2 (or do shared libraries work with all distros)

My current problem is my flash plugin for my mozilla browser needs a certain library:
LoadPlugin: failed to initialize shared library /usr/local/mozilla/plugins/ashplayer.so [libstdc++-libc6.2-2.so.3: cannot open shared object file: No file or directory]

When I google search for "libstdc++-libc6.2-2.so.3" it gives me a bunch of RPM resource libstdc++-libc6.2-2.so.3, but all the downloadable files don't match that name.

Here is an example:
http://at.rpmfind.net/opsys/linux/RP....2-2.so.3.html

I'm just confused on what to download, there are so many choices. So a walkthrough on choosing the right library to download will really be apreciated. Also telling me which one to download for this case will also be nice.

Thanks,
Jay
 
Old 02-11-2004, 12:36 AM   #2
SciYro
Senior Member
 
Registered: Oct 2003
Location: hopefully not here
Distribution: Gentoo
Posts: 2,038

Rep: Reputation: 51
get this one
libstdc++2.10-2.96-0.83mdk.i586
as its closest to 686 and is mandrake (if you ahve problems then just coompile from source, i believe its included in gcc (or was it glibc?))
 
Old 02-11-2004, 10:33 PM   #3
mjl3434
Member
 
Registered: Sep 2003
Location: Los Angeles, CA
Distribution: Fedora 8
Posts: 106

Rep: Reputation: 15
I'm getting the same problem when trying to instal aim 1.5-286-1 it says:
libstdc++-libc6.1-1.so.2 is needed by aim-1.5.286-1

I use Fedora and don't know what to download and how to install it once I do. I have a pentium 4. Also I chose workstation installation, so I thought I'd have all the programming utilities and such, am I wrong or something?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
c++ libraries missing roxvogn Programming 1 03-07-2005 02:38 PM
Missing libraries help Jmcatch742 Fedora 1 11-17-2004 07:00 PM
missing libraries onebadnewbie Linux - Software 3 05-24-2003 01:49 AM
Missing Libraries??? shooter Linux - General 3 12-09-2001 11:37 AM
missing libraries babelfish Linux - Newbie 4 08-17-2001 03:49 AM


All times are GMT -5. The time now is 04:23 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration